<?php
namespace Modules\Invoices\Cashings\Listing;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 */
	protected $resultsPerPageList = [10, 15, 20, 25, 30, 40, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{
		return ListingColumns::create()

			->append( ListingColumn::create('docType') )

			->append( ListingColumn::create('clientName') )

			->append( ListingColumn::create('docDate')
				->setType('date')
				->setSortable('DESC') )

			->append( ListingColumn::create('docNumber')
				->setSortable('ASC') )

			->append( ListingColumn::create('value')
				->setAlignment('right') )

			->append( ListingColumn::create('bankAccount') )

			->append( ListingColumn::create('invoiceNumber') )

			->append( ListingColumn::create('idImportedDoc') )

			->append( ListingColumn::create('idUser')
				->setType('userLabel'))

			->append( ListingColumn::create('addTime')
				->setType('datetime')
				->setSortable('DESC') )

			->append( ListingColumn::create('issued') )

			->append( ListingColumn::create('blocked') )

			->append( ListingColumn::create('voided') )


		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}